phing-types-selectors

# Class: ExtendSelector Source Location: /types/selectors/ExtendSelector.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --BaseSelector
             |
             --ExtendSelector
Selector that selects files by forwarding the request on to other classes. #### Author(s): Bruce Atherton <bruce@callenish.com> (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ | ### Methods addParam isSelected selectorCreate setClassname verifySettings
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: BaseSelector BaseSelector::getError() Returns any error messages that have been set. BaseSelector::setError() Allows all selectors to indicate a setup error. Note that only the first error message is recorded. BaseSelector::validate() Subclasses can use this to throw the requisite exception in isSelected() in the case of an error condition. BaseSelector::verifySettings() <p>Subclasses can override this method to provide checking of their #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 35] Selector that selects files by forwarding the request on to other classes. TODO - Consider adding Path (phing.types.Path) support to this class and to the Mappers class. See Ant versions for implimentation details. #### Tags:
author: | Bruce Atherton <bruce@callenish.com> (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method addParam [line 78]
`void addParam( $p)`
Create new parameters to pass to custom selector. #### Tags:
access: | public
#### Parameters:
p | $p | The new Parameter object
[ Top ] ### method isSelected [line 112]
`void isSelected( $basedir, $filename, $file)`
Allows the custom selector to choose whether to select a file. This is also where the Parameters are passed to the custom selector. #### Tags:
throws: | BuildException
access: | public
#### Parameters:
PhingFile | $basedir |
| $filename |
PhingFile | $file |
[ Top ] ### method selectorCreate [line 53]
`void selectorCreate( )`
Instantiates the identified custom selector class. #### Tags:
access: | public
[ Top ] ### method setClassname [line 46]
`void setClassname( classname $classname)`
Sets the classname of the custom selector. #### Tags:
access: | public
#### Parameters:
classname | $classname | is the class which implements this selector
[ Top ] ### method verifySettings [line 87]
`void verifySettings( )`
These are errors specific to ExtendSelector only. If there are errors in the custom selector, it should throw a BuildException when isSelected() is called. #### Tags:
access: | public
Overrides BaseSelector::verifySettings() (<p>Subclasses can override this method to provide checking of their) [ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:52 +0200 by phpDocumentor 1.4.3